<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package blueboxed
 */

get_header();
?>

	<main id="primary" class="site-main blueboxed-page blueboxed-post blueboxed-single">
		<div class="container">
			<?php
			while ( have_posts() ) :
				the_post();

				get_template_part( 'template-parts/content/content', get_post_type() );

				echo '<div class="blueboxed-single-navigation-wrap">';
				the_post_navigation(
					array(
						'prev_text' => '<span class="nav-subtitle">' . esc_html__( 'Prev:', 'blueboxed' ) . '</span> <span class="nav-title">%title</span>',
						'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next:', 'blueboxed' ) . '</span> <span class="nav-title">%title</span>',
					)
				);
				echo '</div>';

				// If comments are open or there is at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
					echo '<section class="blueboxed-single-comments-wrap">';
					comments_template();
					echo '</section>';
				}
				
			endwhile; // End of the loop.
			?>
		</div>

	</main><!-- #main -->

<?php
get_footer();
